/*
 * Copyright (C) 2005 NTT DATA Corporation
 * 
 */
package org.postgresforest.tool.bean;

import java.text.DecimalFormat;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * サーバ情報(優先順)クラス
 * 
 * サーバインスタンスの情報に優先順を追加し保持する
 * 
 *
 */
//public class ServerPriorityInfo extends ServerInfo implements IPropertySource{
public class ServerPriorityInfo extends ServerInfo {
	/** パーティションリスト */
	protected ArrayList m_partition = new ArrayList();
	protected HashMap m_partitionMap = new HashMap();
	
	
	protected static DecimalFormat m_dcFmt = new DecimalFormat("00");
	public final String ID_PARTITON_NUMBER = "part_num";
	public final String ID_PARTITON_NAME = "part_name";  
//	public final String CATEGORY_TABLE_SPACE = "テーブルスペース";

	/**
	 * @return
	 */
	public ArrayList getPartition() {
		return m_partition;
	}
	/**
	 * @return
	 */
	public PriorityInfo getPartition(int part_no) {
		return (PriorityInfo)m_partitionMap.get(new Integer(part_no));
	}

	/**
	 * @param list
	 */
	public void addPartition(PriorityInfo pinfo) {
		m_partition.add(pinfo);
		m_partitionMap.put(pinfo.getPartitionNo(),pinfo);
	}
	
	
}